with Standard_Floating_Numbers_io;       use Standard_Floating_Numbers_io;
with Continuation_Parameters;
with Continuation_Data;                  use Continuation_Data;
with Power_Path_Trackers;                use Power_Path_Trackers;

package body Increment_Power_Continuation is

  procedure Silent_Power_Continue
               ( sols : in out Solution_List;
                 powers : in Standard_Floating_Vectors.Vector ) is
  begin
    null;
  end Silent_Power_Continue;

  procedure Reporting_Power_Continue
               ( file : in file_type; sols : in out Solution_List;
                 powers : in Standard_Floating_Vectors.Vector ) is

    sia : Solu_Info_Array(1..Length_Of(sols)) := Deep_Create(sols);
    ppa : Pred_Pars := Continuation_Parameters.Create_for_Path;
    cpa : Corr_Pars := Continuation_Parameters.Create_for_Path;
    cen : Corr_Pars := Continuation_Parameters.Create_End_Game;
    cnt : natural := 0;

    procedure Cont is new Power_Reporting_Path_Tracker(Norm,H,dH);

  begin
    put_line(file,"The vector of sorted powers : ");
    for i in powers'range loop
      cnt := cnt + 1;
      put(file,powers(i),2,3,3);
      if cnt > 5
       then cnt := 0;
            new_line(file);
      end if;
    end loop;
    new_line(file);
    for i in sia'range loop
      Cont(file,sia(i),ppa,cpa,cen,powers);
    end loop;
    Deep_Clear(sols);
    sols := Shallow_Create(sia);
  end Reporting_Power_Continue;

end Increment_Power_Continuation;
