with Multprec_Random_Numbers;            use Multprec_Random_Numbers;

package body Multprec_Random_Matrices is

  function Random_Matrix ( n,m,sz : natural )
                         return Multprec_Integer_Matrices.Matrix is

    res : Multprec_Integer_Matrices.Matrix(1..n,1..m);

  begin
    for i in 1..n loop
      for j in 1..m loop
        res(i,j) := Random(sz);
      end loop;
    end loop;
    return res;
  end Random_Matrix;

  function Random_Matrix ( n,m,sz : natural )
                         return Multprec_Floating_Matrices.Matrix is

    res : Multprec_Floating_Matrices.Matrix(1..n,1..m);

  begin
    for i in 1..n loop
      for j in 1..m loop
        res(i,j) := Random(sz);
      end loop;
    end loop;
    return res;
  end Random_Matrix;

  function Random_Matrix ( n,m,sz : natural )
                         return Multprec_Complex_Matrices.Matrix is

    res : Multprec_Complex_Matrices.Matrix(1..n,1..m);

  begin
    for i in 1..n loop
      for j in 1..m loop
        res(i,j) := Random(sz);
      end loop;
    end loop;
    return res;
  end Random_Matrix;

end Multprec_Random_Matrices;
