package Standard_Integer_Numbers is

-- DESCRIPTION :
--   With the operations in this package the Standard_Integer_Ring is build.

  function Create ( n : natural ) return integer;              -- n is integer

  function Equal ( a,b : integer ) return boolean;             -- a = b
  procedure Copy ( a : in integer; b : in out integer );       -- b := a

  procedure Add ( a : in out integer; b : in integer );        -- a := a+b
  procedure Sub ( a : in out integer; b : in integer );        -- a := a-b
  procedure Min ( a : in out integer );                        -- a := -a
  procedure Mul ( a : in out integer; b : in integer );        -- a := a*b

  function  Rmd ( a,b : integer ) return integer;              -- a mod b
  procedure Rmd ( a : in out integer; b : in integer );        -- a := a mod b

  procedure Div ( a : in out integer; b : in integer );        -- a := a/b
  procedure Div ( a,b : in integer;                            -- a = b*q+r
                  q : out integer; r : out integer );          -- q := a/b
  procedure Div ( a : in out integer; b : in integer;          -- a := a/b
                  r : out integer );                           -- r := a mod b

  procedure Clear ( a : in out integer );                      -- deallocation

end Standard_Integer_Numbers;
