with integer_io;                        use integer_io;
with Standard_Integer_Vectors_io;       use Standard_Integer_Vectors_io;
with Standard_Integer_VecVecs;          use Standard_Integer_VecVecs;
with Standard_Integer_VecVecs_io;       use Standard_Integer_VecVecs_io;

package body Simplices_io is

  procedure get ( s : in out Simplex ) is

    n : natural;

  begin
    get(n);
    declare
      v : VecVec(1..n);
    begin
      get(n,v);
      s := Create(v);
    end;
  end get;

  procedure get ( n : in natural; s : in out Simplex ) is
  
    v : VecVec(1..n);

  begin
    get(n,v);
    s := Create(v);
  end get;

  procedure get ( file : in file_type; s : in out Simplex ) is

    n : natural;

  begin
    get(file,n);
    declare
      v : VecVec(1..n);
    begin
      get(file,n,v);
      s := Create(v);
    end;
  end get;

  procedure get ( file : in file_type; n : in natural; s : in out Simplex ) is
  
    v : VecVec(1..n);

  begin
    get(file,n,v);
    s := Create(v);
  end get;

  procedure put ( s : in Simplex ) is
  begin
    put(Normal(s)); new_line;
    put(Normal(s)'last,1); new_line;
    put(Vertices(s));
  end put;

  procedure put ( file : in file_type; s : in Simplex ) is
  begin
    put(file,Normal(s)); new_line(file);
    put(file,Normal(s)'last,1); new_line(file);
    put(file,Vertices(s));
  end put;

end Simplices_io;
